Skip to content

Receive invite notifications

POST
/receive-invites
curl --request POST \
--url https://registry.rex.dynata.com/receive-invites \
--header 'Content-Type: application/json' \
--header 'dynata-access-key: ADSF23ADF354GFDDS23' \
--header 'dynata-expiration: 2026-04-15T12:00:00Z' \
--header 'dynata-signature: dsklj435kljhfdSAFdsalk34' \
--data '{ "limit": 25, "visibility_timeout": 300 }'

Static Invite Collections

If only consuming static invite collections it’s not necessary to process invite notifications. Using the download-invite-collection endpoint will return a complete list of invites. Additional updates to static invite collections will result in an entirely new collection being generated and available through a new opportunity.

To process invite notifications we recommend the following.

  1. Call to get a set of invites from the queue, ordered by message creation ascending.
  2. If there no invites to process, pause 5 seconds, then try again.
  3. If invites are available, process and acknowledge each one using /ack-invites, then loop immediately back to step 1 to receive more.

This ensures that the queue is processed as quickly as possible without overwhelming either system with a constant loop of nothing to process.

dynata-expiration
required
string format: date-time

RFC3339 timestamp indicating request expiration

dynata-access-key
required
string

Dynata provided access key

Example
ADSF23ADF354GFDDS23
dynata-signature
required
string

Signature created using the Dynata methodology

Example
dsklj435kljhfdSAFdsalk34
Media typeapplication/json
object
limit

Maximum number of invites to return per request

integer format: int64
>= 1 <= 50
Example
25
visibility_timeout

The period of time, in seconds, during which other consumers will be unable to receive a notification

integer format: int32
<= 600
Example
300

List of invite notifications

Media typeapplication/json
Array<object>
object
invite
required

The invite message

object
id
required

Unique identifier of invite and static invite (Used for acknowledging invite notifications)

integer format: int64
collection_id
required

Identifier of invite collection or static invite collection

string
respondent_id
required

Identifier of respondent exposed to the invite

string
expiration

Invite expiration date

string format: date-time
nullable
created
required

Invite creation date

string format: date-time
modified
required

Invite modified date

string format: date-time
created
required

Message created date

string format: date-time
Example
[
{
"invite": {
"id": 234,
"collection_id": "618400",
"respondent_id": "respondent12345"
}
}
]
invite-count
integer format: int64
Example
50

Number of returned invites

invite-total
integer format: int64
Example
100

Number of invites in the account’s queue

invite-inflight
integer format: int64
Example
100

Number of invites retrieved that are in the visibility timeout window, not yet acknowledged/deleted from queue.

Bad request

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}

Invalid credentials

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}

Unauthorized

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}

Internal server error

Media typeapplication/json
object
message
required

A human readable description of the error

string
Examplegenerated
{
"message": "example"
}